﻿#function Convert-IPtoDecimal {
    [cmdletbinding()]
    param (
        [parameter(mandatory=$true,position=0,valuefrompipeline=$true)][String[]]$IPAddress
    )
    begin {
    } process {
        [String[]] $IP = $IPAddress.Split('.')
	    $Object = New-Object -TypeName psobject -Property (@{
            'IPAddress' = $($IPAddress);
            'Decimal' = [Int64](
                ([Int32]::Parse($IP[0]) * [Math]::Pow(2, 24) +
                    ([Int32]::Parse($IP[1]) * [Math]::Pow(2, 16) +
                        ([Int32]::Parse($IP[2]) * [Math]::Pow(2, 8) +
                            ([Int32]::Parse($IP[3])
                            )
                        )
                    )
                )
            )
        })
        $Object
    } end {
    }
    # IPAddressToDecimal -IPAddress '172.18.32.44','172.18.33.45'
    #}